#include <iostream>
using namespace std;
int main(int argc, char** argv) {
	long long int N;
	long long int A;
	int fail=-1;
	cin>>N;
	cin>>A;
    if(N<(3*A)){
    	cout<<fail;
	} else {
	cout<<A;
	N-=A;
	cout<<0; 
	cout<<A;
	N-=A;
	cout<<0;
	if(N>(A*2)+1){
		cout<<((N/2)-1);
		cout<<((N/2)+1);
	} else {
		cout<<A;
		cout<<N-A;
	}
	
	return 0;
}
}